# Files

## Overview

Files represent arbitrary data blobs stored on Redivis, and are generally used for non tabular data. Each file is represented by a globally unique id, and metadata about files are stored in associated index Tables.

These endpoints are for downloading files and their metadata. To enumerate files in a dataset, utilize the [Table API](/api/rest-api/tables.md) endpoints for the associated index table.

{% hint style="info" %}
These endpoints assume you have familiarity with this API's [Authorization](/api/rest-api/authorization.md) paradigms.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
